Bug 114930 - sat-install: install rhn_reg-2.9.3-1.2.1AS once signed
sat-install: install rhn_reg-2.9.3-1.2.1AS once signed
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Mihai Ibanescu
Fanny Augustin
Depends On:
Blocks: rhn310rc
  Show dependency treegraph
Reported: 2004-02-04 11:56 EST by Chris Runge
Modified: 2007-08-06 11:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-30 11:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2004-02-04 11:56:17 EST
Description of problem:

The RHN Satellite RC build 3.0.9-11 includes rhn_register RPMS that
generate a host not found error during activation/registration with
the hosted environment. This error occurs regardless of when the
registration is attempted, either during the Satellite installer
itself or outside of it.

Executing: ['/usr/sbin/rhnreg_ks', '--username', 'chrisrunge',
'--password', '<password>', '--force', '--serverUrl',
'https://xmlrpc.rhn.redhat.com/XMLRPC', '--sslCACert',
Registration of the system via RHN failed.
Return value: 1
Standard-err: Traceback (innermost last):
  File "/usr/sbin/rhnreg_ks", line 326, in ?
  File "/usr/sbin/rhnreg_ks", line 289, in main
    hardwareList = hardware.Hardware()
  File "/usr/share/rhn/register/hardware.py", line 374, in Hardware
    ret = read_network()
  File "/usr/share/rhn/register/hardware.py", line 296, in read_network
    hostname, ipaddr = findHostByRoute()
  File "/usr/share/rhn/register/hardware.py", line 276, in findHostByRoute
    hostname = socket.gethostbyaddr(intf)[0]
socket.error: host not found
------------------------------from error
There was a problem registering this system: Registration of the system
via RHN failed.
There may be more detail in: terminal window or log-file

Version-Release number of selected component (if applicable):


How reproducible:

I've only done one install with this version of the Satellite thus far.

The problem is solved by using the latest version of rhn_register,

See also bug 113599
Comment 1 Todd Warner 2004-02-04 15:12:17 EST
Hmm... the rhn_register errata candidate is not signed yet. That's why
it has not landed on the ISO yet. I will change the summary to remind
us to include it.
Comment 2 Todd Warner 2004-02-04 15:17:38 EST
After a minute more of thought... I suppose it makes sense to add the
new rhn_register packages to the installer even if not signed. We
always  check prior to GA release to see that all packages are signed.

Reassigning bug to misa@redhat.com since he is the one who ensures
which packages land in the installers RPMS directory.

Comment 3 Mihai Ibanescu 2004-02-24 11:32:49 EST
Fixed in 3.1.5 satellites
Comment 4 Todd Warner 2005-09-30 11:13:44 EDT
fixed long ago... and now a moot point.

Note You need to log in before you can comment on or make changes to this bug.